Dashboard Temp Share Shortlinks Frames API

HTMLify

style.css
Views: 173 | Author: cody
  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
@import url(https://fonts.googleapis.com/css?family=Lato:400,300,500,700);

html {
  box-sizing: border-box;
  height: 100%;

}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  background: #151515;
  font-family: 'Lato', sans-serif;
  height: 100vh;
  display: grid;
  place-items: center;
}

.wrapper {
  width: 8.2rem;
}

.wrapper label {
  display: block;
  position: relative;
  height: 2em;
  padding-left: 3.5rem;
  margin-bottom: 1.75rem;
  cursor: pointer;
  font-size: 1.5rem;
  user-select: none;
  color: #fff;
}

.wrapper label:hover input:not(:checked)~.radio {
  opacity: 0.8;
}

.wrapper .label span {
  line-height: 1em;
}

.wrapper input {
  display: none;
}

.wrapper input:checked~.radio {
  background-color: #ff712a;
  transition: background 0.3s;
}

.wrapper input:checked~.radio::after {
  opacity: 1;
}

.wrapper input:checked~.label {
  color: #ff712a;
}

.wrapper input:checked~.label span {
  animation: bulge 0.5s forwards;
}

.wrapper input:checked~.label span:nth-child(1) {
  animation-delay: 0.025s;
}

.wrapper input:checked~.label span:nth-child(2) {
  animation-delay: 0.05s;
}

.wrapper input:checked~.label span:nth-child(3) {
  animation-delay: 0.075s;
}

.wrapper input:checked~.label span:nth-child(4) {
  animation-delay: 0.1s;
}

.wrapper input:checked~.label span:nth-child(5) {
  animation-delay: 0.125s;
}

.wrapper input:checked~.label span:nth-child(6) {
  animation-delay: 0.15s;
}

.radio {
  position: absolute;
  top: 0;
  left: 0;
  height: 2.5rem;
  width: 2.5rem;
  background: #c9ded6;
  border-radius: 50%;
  display: grid;
  place-items: center;
}

.radio::after {
  content: "";
  position: absolute;
  opacity: 0;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  background: #fff;
}

@keyframes bulge {
  50% {
    transform: rotate(4deg);
    font-size: 1.5em;
  }

  100% {
    transform: rotate(0);
    font-size: 1em;
  }
}